org.apache.maven.plugin

## Class MavenPluginCollector

- java.lang.Object
- - AbstractLogEnabled
  - - org.apache.maven.plugin.MavenPluginCollector

    public class MavenPluginCollector
    extends AbstractLogEnabled

### Constructor Summary

Constructors
Constructor and Description
`MavenPluginCollector()`

### Method Summary

Methods
`void` `componentDiscovered(ComponentDiscoveryEvent event)`
`void` `flushPluginDescriptor(Plugin plugin)`
`PluginDescriptor` `getPluginDescriptor(Plugin plugin)`
`PluginDescriptor` `getPluginDescriptorForPrefix(java.lang.String prefix)`
`boolean` `isPluginInstalled(Plugin plugin)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MavenPluginCollector

    public MavenPluginCollector()

### Method Detail

#### componentDiscovered

    public void componentDiscovered(ComponentDiscoveryEvent event)

#### getPluginDescriptor

    public PluginDescriptor getPluginDescriptor(Plugin plugin)

#### isPluginInstalled

    public boolean isPluginInstalled(Plugin plugin)

#### getPluginDescriptorForPrefix

    public PluginDescriptor getPluginDescriptorForPrefix(java.lang.String prefix)

#### flushPluginDescriptor

    public void flushPluginDescriptor(Plugin plugin)